[Vm-dev] [commit][3388] Add newspeak build dirs for linux32ARM

commits at squeakvm.org commits at squeakvm.org
Tue Jun 23 17:57:37 UTC 2015


Revision: 3388
Author:   eliot
Date:     2015-06-23 10:57:36 -0700 (Tue, 23 Jun 2015)
Log Message:
-----------
Add newspeak build dirs for linux32ARM

Added Paths:
-----------
    branches/Cog/build.linux32ARM/newspeak.cog.spur/
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm
    branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.int
    branches/Cog/build.linux32ARM/newspeak.stack.spur/
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm
    branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.int

Removed Paths:
-------------
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build/plugins.int
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/plugins.int
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/plugins.int
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build/plugins.int
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/plugins.int
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/plugins.ext
    branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/plugins.int

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build/mvm	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,32 +0,0 @@
-#!/bin/bash
-# Spur VM with VM profiler and threaded heartbeat
-INSTALLDIR=cogspurlinuxhtARM
-# Some gcc versions create a broken VM using -O2
-case `gcc -v 2>&1 | grep version | sed 's/gcc version *//'` in
-3.4.*)	OPT="-g -O1 -DNDEBUG -DDEBUGVM=0";;
-*)		OPT="-g -O2 -DNDEBUG -DDEBUGVM=0";;
-esac
-
-if [ $# -ge 1 ]; then
-	INSTALLDIR="$1"; shift
-fi
-
-echo -n "clean? "
-read a
-case $a in
-n|no|N|NO)	echo "ok but this isn't safe!!";;
-*)			test -f Makefile && make reallyclean
-esac
-test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
-		--without-vm-display-fbdev --with-vmversion=5.0 \
-		--with-src=spursrc --with-plugins=src/plugins \
-	CC="gcc " \
-	CXX="g++ " \
-	CFLAGS="$OPT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DI_REALLY_DONT_CARE_HOW_UNSAFE_THIS_IS -DCOGMTVM=0" \
-	LIBS="-lpthread -luuid -lasound" \
-	LDFLAGS=-Wl,-z,now
-rm -f vm/sqUnixMain.o # nuke version info
-rm -rf ../../../products/$INSTALLDIR
-# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
-# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
-make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Copied: branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm (from rev 3380, branches/Cog/build.linux32ARM/squeak.cog.spur/build/mvm)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=nscogspurlinuxhtARM
+OPT="-g -O2 -fwrapv -DNDEBUG -DDEBUGVM=0"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--without-vm-display-fbdev --with-vmversion=5.0 \
+		--with-src=nsspursrc --with-plugins=nsspursrc/plugins \
+		--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
+	CC=gcc \
+	CXX=g++ \
+	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DI_REALLY_DONT_CARE_HOW_UNSAFE_THIS_IS -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid -lasound" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
+make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build/plugins.ext
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build/plugins.ext	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,12 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.ext
-EXTERNAL_PLUGINS = \
-#B3DAcceleratorPlugin \
-#BochsIA32Plugin \
-#GdbARMPlugin \
-SqueakFFIPrims \
-SqueakSSL \
-LocalePlugin \
-UnicodePlugin \
-UnixOSProcessPlugin \
-UUIDPlugin \
-XDisplayControlPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build/plugins.int
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build/plugins.int	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,37 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.int
-INTERNAL_PLUGINS = \
-ADPCMCodecPlugin \
-AioPlugin \
-AsynchFilePlugin \
-B2DPlugin \
-BitBltPlugin \
-BMPReadWriterPlugin \
-#CroquetPlugin \
-ZipPlugin \
-DropPlugin \
-DSAPrims \
-FFTPlugin \
-FileCopyPlugin \
-FilePlugin \
-FloatArrayPlugin \
-FloatMathPlugin \
-#IA32ABI \
-JoystickTabletPlugin \
-JPEGReaderPlugin \
-JPEGReadWriter2Plugin \
-Klatt \
-LargeIntegers \
-Matrix2x3Plugin \
-MIDIPlugin \
-MiscPrimitivePlugin \
-Mpeg3Plugin \
-RePlugin \
-SecurityPlugin \
-SerialPlugin \
-SocketPlugin \
-SoundCodecPrims \
-SoundGenerationPlugin \
-SoundPlugin \
-StarSqueakPlugin \
-SurfacePlugin \
-VMProfileLinuxSupportPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build.assert/mvm	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,28 +0,0 @@
-#!/bin/bash
-# assert VM with VM profiler and threaded heartbeat
-INSTALLDIR=assert/cogspurlinuxht
-OPT="-g3 -O1 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -DDEBUGVM=0"
-
-if [ $# -ge 1 ]; then
-	INSTALLDIR="$1"; shift
-fi
-
-echo -n "clean? "
-read a
-case $a in
-n|no|N|NO)	echo "ok but this isn't safe!!";;
-*)			test -f Makefile && make reallyclean
-esac
-test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
-		--with-vmversion=5.0 \
-		--with-src=spursrc --with-plugins=src/plugins \
-	CC="gcc -m32" \
-	CXX="g++ -m32" \
-	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DCOGMTVM=0" \
-	LIBS="-lpthread -luuid" \
-	LDFLAGS=-Wl,-z,now
-rm -f vm/sqUnixMain.o # nuke version info
-rm -rf ../../../products/$INSTALLDIR
-# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
-# but older linux readlinks lack the -f flag
-make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Copied: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm (from rev 3380, branches/Cog/build.linux32ARM/squeak.cog.spur/build.assert/mvm)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,31 @@
+#!/bin/bash
+# assert VM with VM profiler and threaded heartbeat
+INSTALLDIR=assert/nscogspurlinuxhtARM
+OPT="-g3 -O1 -fwrapv -DDEBUGVM=0"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--without-vm-display-fbdev --with-vmversion=5.0 \
+		--with-src=nsspursrc --with-plugins=nsspursrc/plugins \
+		--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
+	CC=gcc \
+	CXX=g++ \
+	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DI_REALLY_DONT_CARE_HOW_UNSAFE_THIS_IS -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid -lasound" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
+make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/plugins.ext
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build.assert/plugins.ext	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,12 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.ext
-EXTERNAL_PLUGINS = \
-B3DAcceleratorPlugin \
-BochsIA32Plugin \
-GdbARMPlugin \
-SqueakFFIPrims \
-SqueakSSL \
-LocalePlugin \
-UnicodePlugin \
-UnixOSProcessPlugin \
-UUIDPlugin \
-XDisplayControlPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/plugins.int
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build.assert/plugins.int	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.assert/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,37 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.int
-INTERNAL_PLUGINS = \
-ADPCMCodecPlugin \
-AioPlugin \
-AsynchFilePlugin \
-B2DPlugin \
-BitBltPlugin \
-BMPReadWriterPlugin \
-CroquetPlugin \
-ZipPlugin \
-DropPlugin \
-DSAPrims \
-FFTPlugin \
-FileCopyPlugin \
-FilePlugin \
-FloatArrayPlugin \
-FloatMathPlugin \
-IA32ABI \
-JoystickTabletPlugin \
-JPEGReaderPlugin \
-JPEGReadWriter2Plugin \
-Klatt \
-LargeIntegers \
-Matrix2x3Plugin \
-MIDIPlugin \
-MiscPrimitivePlugin \
-Mpeg3Plugin \
-RePlugin \
-SecurityPlugin \
-SerialPlugin \
-SocketPlugin \
-SoundCodecPrims \
-SoundGenerationPlugin \
-SoundPlugin \
-StarSqueakPlugin \
-SurfacePlugin \
-VMProfileLinuxSupportPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build.debug/mvm	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,28 +0,0 @@
-#!/bin/bash
-# debug Spur VM with VM profiler and threaded heartbeat
-INSTALLDIR=debug/cogspurlinuxhtARM
-OPT="-g3 -O0 -DDEBUGVM=1"
-
-if [ $# -ge 1 ]; then
-	INSTALLDIR="$1"; shift
-fi
-
-echo -n "clean? "
-read a
-case $a in
-n|no|N|NO)	echo "ok but this isn't safe!!";;
-*)			test -f Makefile && make reallyclean
-esac
-test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
-		--without-vm-display-fbdev --with-vmversion=5.0 \
-		--with-src=spursrc --with-plugins=src/plugins \
-	CC="gcc " \
-	CXX="g++ " \
-	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64  -DI_REALLY_DONT_CARE_HOW_UNSAFE_THIS_IS -DCOGMTVM=0" \
-	LIBS="-lpthread -luuid -lasound" \
-	LDFLAGS=-Wl,-z,now
-rm -f vm/sqUnixMain.o # nuke version info
-rm -rf ../../../products/$INSTALLDIR
-# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
-# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
-make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Copied: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm (from rev 3380, branches/Cog/build.linux32ARM/squeak.cog.spur/build.debug/mvm)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,31 @@
+#!/bin/bash
+# debug Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=debug/nscogspurlinuxhtARM
+OPT="-g3 -O0 -fwrapv -DDEBUGVM=1"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--without-vm-display-fbdev --with-vmversion=5.0 \
+		--with-src=nsspursrc --with-plugins=nsspursrc/plugins \
+		--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
+	CC=gcc \
+	CXX=g++ \
+	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64  -DI_REALLY_DONT_CARE_HOW_UNSAFE_THIS_IS -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid -lasound" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
+make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/plugins.ext
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build.debug/plugins.ext	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,12 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.ext
-EXTERNAL_PLUGINS = \
-#B3DAcceleratorPlugin \
-#BochsIA32Plugin \
-#GdbARMPlugin \
-SqueakFFIPrims \
-SqueakSSL \
-LocalePlugin \
-UnicodePlugin \
-UnixOSProcessPlugin \
-UUIDPlugin \
-XDisplayControlPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/plugins.int
===================================================================
--- branches/Cog/build.linux32ARM/squeak.cog.spur/build.debug/plugins.int	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/build.debug/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,37 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.int
-INTERNAL_PLUGINS = \
-ADPCMCodecPlugin \
-AioPlugin \
-AsynchFilePlugin \
-B2DPlugin \
-BitBltPlugin \
-BMPReadWriterPlugin \
-#CroquetPlugin \
-ZipPlugin \
-DropPlugin \
-DSAPrims \
-FFTPlugin \
-FileCopyPlugin \
-FilePlugin \
-FloatArrayPlugin \
-FloatMathPlugin \
-#IA32ABI \
-JoystickTabletPlugin \
-JPEGReaderPlugin \
-JPEGReadWriter2Plugin \
-Klatt \
-LargeIntegers \
-Matrix2x3Plugin \
-MIDIPlugin \
-MiscPrimitivePlugin \
-Mpeg3Plugin \
-RePlugin \
-SecurityPlugin \
-SerialPlugin \
-SocketPlugin \
-SoundCodecPrims \
-SoundGenerationPlugin \
-SoundPlugin \
-StarSqueakPlugin \
-SurfacePlugin \
-VMProfileLinuxSupportPlugin

Copied: branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.ext (from rev 3373, branches/Cog/build.linux32ARM/squeak.cog.spur/plugins.ext)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.ext	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,3 @@
+# Copied, perhaps edited, from ../../../nscogsrc/examplePlugins.ext
+EXTERNAL_PLUGINS = \
+SqueakSSL

Copied: branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.int (from rev 3373, branches/Cog/build.linux32ARM/squeak.cog.spur/plugins.int)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.int	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.cog.spur/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,27 @@
+# Copied, perhaps edited, from ../../../nscogsrc/examplePlugins.int
+INTERNAL_PLUGINS = \
+AioPlugin \
+AsynchFilePlugin \
+BMPReadWriterPlugin \
+B2DPlugin \
+BitBltPlugin \
+DSAPrims \
+DropPlugin \
+FileCopyPlugin \
+FilePlugin \
+FloatArrayPlugin \
+FloatMathPlugin \
+ZipPlugin \
+JPEGReadWriter2Plugin \
+JPEGReaderPlugin \
+LargeIntegers \
+Matrix2x3Plugin \
+MiscPrimitivePlugin \
+IA32ABI \
+RePlugin \
+SecurityPlugin \
+SocketPlugin \
+SurfacePlugin \
+UUIDPlugin \
+UnixOSProcessPlugin \
+VMProfileLinuxSupportPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build/mvm	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,33 +0,0 @@
-#!/bin/bash
-# Stack Spur VM and threaded heartbeat
-INSTALLDIR=stkspurlinuxhtARM
-# Some gcc versions create a broken VM using -O2
-case `gcc -v 2>&1 | grep version | sed 's/gcc version *//'` in
-3.4.*)	OPT="-g -O1 -DNDEBUG -DDEBUGVM=0 -DNO_VM_PROFILE=1";;
-*)		OPT="-g -O3 -DNDEBUG -DDEBUGVM=0 -DNO_VM_PROFILE=1";;
-esac
-
-if [ $# -ge 1 ]; then
-	INSTALLDIR="$1"; shift
-fi
-
-echo -n "clean? "
-read a
-case $a in
-n|no|N|NO)	echo "ok but this isn't safe!!";;
-*)			rm config.h; test -f Makefile && make reallyclean
-esac
-test -f config.h || ../../../platforms/unix/config/configure \
-   --with-vmversion=5.0 \
-	--with-src=spurstacksrc --with-plugins=src/plugins --disable-cogit \
-	--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
-	CC="gcc " \
-	CXX="g++ " \
-	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
-	LIBS="-lpthread -luuid" \
-	LDFLAGS=-Wl,-z,now
-rm -f vm/sqUnixMain.o # nuke version info
-rm -rf ../../../products/$INSTALLDIR
-# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
-# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
-make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Copied: branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm (from rev 3379, branches/Cog/build.linux32ARM/squeak.stack.spur/build/mvm)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Stack Spur VM and threaded heartbeat
+INSTALLDIR=nsstkspurlinuxhtARM
+OPT="-g -O3 -fwrapv -DNDEBUG -DDEBUGVM=0 -DNO_VM_PROFILE=1"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			rm config.h; test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure \
+	--with-vmversion=5.0 \
+	--with-src=nsspurstacksrc --with-plugins=nsspursrc/plugins --disable-cogit \
+	--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
+	CC=gcc \
+	CXX=g++ \
+	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
+make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build/plugins.ext
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build/plugins.ext	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,9 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.ext
-EXTERNAL_PLUGINS = \
-LocalePlugin \
-SqueakFFIPrims \
-SqueakSSL \
-UnicodePlugin \
-UnixOSProcessPlugin \
-UUIDPlugin \
-XDisplayControlPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build/plugins.int
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build/plugins.int	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,37 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.int
-INTERNAL_PLUGINS = \
-ADPCMCodecPlugin \
-AioPlugin \
-AsynchFilePlugin \
-B2DPlugin \
-BitBltPlugin \
-BMPReadWriterPlugin \
-CameraPlugin \
-ZipPlugin \
-DropPlugin \
-DSAPrims \
-FFTPlugin \
-FileCopyPlugin \
-FilePlugin \
-FloatArrayPlugin \
-FloatMathPlugin \
-JoystickTabletPlugin \
-JPEGReaderPlugin \
-JPEGReadWriter2Plugin \
-Klatt \
-LargeIntegers \
-Matrix2x3Plugin \
-MIDIPlugin \
-MiscPrimitivePlugin \
-Mpeg3Plugin \
-RePlugin \
-ScratchPlugin \
-SecurityPlugin \
-SerialPlugin \
-SocketPlugin \
-SoundCodecPrims \
-SoundGenerationPlugin \
-SoundPlugin \
-StarSqueakPlugin \
-SurfacePlugin \
-VMProfileLinuxSupportPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build.assert/mvm	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,29 +0,0 @@
-#!/bin/bash
-# assert Stack Spur VM with VM profiler and threaded heartbeat
-INSTALLDIR=assert/stkspurlinuxhtARM
-OPT="-g3 -O1 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -DDEBUGVM=0"
-
-if [ $# -ge 1 ]; then
-	INSTALLDIR="$1"; shift
-fi
-
-echo -n "clean? "
-read a
-case $a in
-n|no|N|NO)	echo "ok but this isn't safe!!";;
-*)			rm config.h; test -f Makefile && make reallyclean
-esac
-test -f config.h || ../../../platforms/unix/config/configure \
-   --with-vmversion=5.0 \
-	--with-src=spurstacksrc --with-plugins=src/plugins --disable-cogit \
-	--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
-	CC="gcc " \
-	CXX="g++ " \
-	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
-	LIBS="-lpthread -luuid" \
-	LDFLAGS=-Wl,-z,now
-rm -f vm/sqUnixMain.o # nuke version info
-rm -rf ../../../products/$INSTALLDIR
-# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
-# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
-make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Copied: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm (from rev 3379, branches/Cog/build.linux32ARM/squeak.stack.spur/build.assert/mvm)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,31 @@
+#!/bin/bash
+# assert Stack Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=assert/nsstkspurlinuxhtARM
+OPT="-g3 -O1 -fwrapv -DDEBUGVM=0"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			rm config.h; test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure \
+	--with-vmversion=5.0 \
+	--with-src=nsspurstacksrc --with-plugins=nsspursrc/plugins --disable-cogit \
+	--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
+	CC=gcc \
+	CXX=g++ \
+	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
+make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/plugins.ext
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build.assert/plugins.ext	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,8 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.ext
-EXTERNAL_PLUGINS = \
-LocalePlugin \
-SqueakFFIPrims \
-SqueakSSL \
-UnixOSProcessPlugin \
-UUIDPlugin \
-XDisplayControlPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/plugins.int
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build.assert/plugins.int	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.assert/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,36 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.int
-INTERNAL_PLUGINS = \
-ADPCMCodecPlugin \
-AioPlugin \
-AsynchFilePlugin \
-B2DPlugin \
-BitBltPlugin \
-BMPReadWriterPlugin \
-CroquetPlugin \
-ZipPlugin \
-DropPlugin \
-DSAPrims \
-FFTPlugin \
-FileCopyPlugin \
-FilePlugin \
-FloatArrayPlugin \
-FloatMathPlugin \
-JoystickTabletPlugin \
-JPEGReaderPlugin \
-JPEGReadWriter2Plugin \
-Klatt \
-LargeIntegers \
-Matrix2x3Plugin \
-MIDIPlugin \
-MiscPrimitivePlugin \
-Mpeg3Plugin \
-RePlugin \
-SecurityPlugin \
-SerialPlugin \
-SocketPlugin \
-SoundCodecPrims \
-SoundGenerationPlugin \
-SoundPlugin \
-StarSqueakPlugin \
-SurfacePlugin \
-VMProfileLinuxSupportPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build.debug/mvm	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,29 +0,0 @@
-#!/bin/bash
-# debug Stack Spur VM with VM profiler and threaded heartbeat
-INSTALLDIR=debug/stkspurlinuxhtARM
-OPT="-g3 -O0 -DDEBUGVM=1"
-
-if [ $# -ge 1 ]; then
-	INSTALLDIR="$1"; shift
-fi
-
-echo -n "clean? "
-read a
-case $a in
-n|no|N|NO)	echo "ok but this isn't safe!!";;
-*)			rm config.h; test -f Makefile && make reallyclean
-esac
-test -f config.h || ../../../platforms/unix/config/configure \
-   --with-vmversion=5.0 \
-	--with-src=spurstacksrc --with-plugins=src/plugins --disable-cogit \
-	--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
-	CC="gcc " \
-	CXX="g++ " \
-	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
-	LIBS="-lpthread -luuid" \
-	LDFLAGS=-Wl,-z,now
-rm -f vm/sqUnixMain.o # nuke version info
-rm -rf ../../../products/$INSTALLDIR
-# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
-# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
-make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Copied: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm (from rev 3379, branches/Cog/build.linux32ARM/squeak.stack.spur/build.debug/mvm)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/mvm	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,31 @@
+#!/bin/bash
+# debug Stack Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=debug/nsstkspurlinuxhtARM
+OPT="-g3 -O0 -fwrapv -DDEBUGVM=1"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			rm config.h; test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure \
+	--with-vmversion=5.0 \
+	--with-src=nsspurstacksrc --with-plugins=nsspursrc/plugins --disable-cogit \
+	--without-vm-display-fbdev --without-npsqueak --enable-fast-bitblt \
+	CC=gcc \
+	CXX=g++ \
+	CFLAGS="$OPT -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag and Raspbian lacks `readlinks`
+make -j4 install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/plugins.ext
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build.debug/plugins.ext	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,9 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.ext
-EXTERNAL_PLUGINS = \
-LocalePlugin \
-SqueakFFIPrims \
-SqueakSSL \
-UnixOSProcessPlugin \
-UUIDPlugin \
-UnicodePlugin \
-XDisplayControlPlugin

Deleted: branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/plugins.int
===================================================================
--- branches/Cog/build.linux32ARM/squeak.stack.spur/build.debug/plugins.int	2015-05-21 18:18:06 UTC (rev 3353)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/build.debug/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -1,36 +0,0 @@
-# Copied, perhaps edited, from ../../src/examplePlugins.int
-INTERNAL_PLUGINS = \
-ADPCMCodecPlugin \
-AioPlugin \
-AsynchFilePlugin \
-B2DPlugin \
-BitBltPlugin \
-BMPReadWriterPlugin \
-CroquetPlugin \
-ZipPlugin \
-DropPlugin \
-DSAPrims \
-FFTPlugin \
-FileCopyPlugin \
-FilePlugin \
-FloatArrayPlugin \
-FloatMathPlugin \
-JoystickTabletPlugin \
-JPEGReaderPlugin \
-JPEGReadWriter2Plugin \
-Klatt \
-LargeIntegers \
-Matrix2x3Plugin \
-MIDIPlugin \
-MiscPrimitivePlugin \
-Mpeg3Plugin \
-RePlugin \
-SecurityPlugin \
-SerialPlugin \
-SocketPlugin \
-SoundCodecPrims \
-SoundGenerationPlugin \
-SoundPlugin \
-StarSqueakPlugin \
-SurfacePlugin \
-VMProfileLinuxSupportPlugin

Copied: branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.ext (from rev 3373, branches/Cog/build.linux32ARM/squeak.stack.spur/plugins.ext)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.ext	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.ext	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,3 @@
+# Copied, perhaps edited, from ../../../nscogsrc/examplePlugins.ext
+EXTERNAL_PLUGINS = \
+SqueakSSL

Copied: branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.int (from rev 3373, branches/Cog/build.linux32ARM/squeak.stack.spur/plugins.int)
===================================================================
--- branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.int	                        (rev 0)
+++ branches/Cog/build.linux32ARM/newspeak.stack.spur/plugins.int	2015-06-23 17:57:36 UTC (rev 3388)
@@ -0,0 +1,27 @@
+# Copied, perhaps edited, from ../../../nscogsrc/examplePlugins.int
+INTERNAL_PLUGINS = \
+AioPlugin \
+AsynchFilePlugin \
+BMPReadWriterPlugin \
+B2DPlugin \
+BitBltPlugin \
+DSAPrims \
+DropPlugin \
+FileCopyPlugin \
+FilePlugin \
+FloatArrayPlugin \
+FloatMathPlugin \
+ZipPlugin \
+JPEGReadWriter2Plugin \
+JPEGReaderPlugin \
+LargeIntegers \
+Matrix2x3Plugin \
+MiscPrimitivePlugin \
+IA32ABI \
+RePlugin \
+SecurityPlugin \
+SocketPlugin \
+SurfacePlugin \
+UUIDPlugin \
+UnixOSProcessPlugin \
+VMProfileLinuxSupportPlugin



More information about the Vm-dev mailing list